#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_path_uevent, 0xb4f63a5a, "_gpl");
SYMBOL_CRC(dm_send_uevents, 0x47ec2100, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xfdd58d22, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x45cb3dde, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xbf7a5f75, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0xbda53599, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xace40482, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xc41cd50e, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xe14a95f2, "_gpl");
SYMBOL_CRC(dm_device_name, 0x57dc203b, "_gpl");
SYMBOL_CRC(dm_disk, 0x6930a995, "_gpl");
SYMBOL_CRC(dm_get_md, 0x9b69bf44, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_hold, 0xac349d66, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x5a883587, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x1296665c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xd2626b77, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x2f869975, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xcb6157af, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x4459516a, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xc481b076, "_gpl");
SYMBOL_CRC(dm_put, 0x09c1b731, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x0f65e22b, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xbd37ebab, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x2357fb89, "_gpl");
SYMBOL_CRC(dm_suspended, 0x0ad05549, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x7ef78ebb, "_gpl");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_get_device, 0x10e17a0f, "");
SYMBOL_CRC(dm_put_device, 0xf3ccb5af, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_table_event, 0x9adf26ac, "");
SYMBOL_CRC(dm_table_get_md, 0x8cf41c8c, "");
SYMBOL_CRC(dm_table_get_mode, 0x63ab7fba, "");
SYMBOL_CRC(dm_table_get_size, 0x066ad80b, "");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x5e0df8f9, "");
SYMBOL_CRC(dm_table_device_name, 0x51e86b8e, "_gpl");
SYMBOL_CRC(dm_table_set_type, 0x29936597, "_gpl");
SYMBOL_CRC(dm_register_target, 0x4c4a5d73, "");
SYMBOL_CRC(dm_unregister_target, 0x6efc7683, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x1cf906ab, "_gpl");
SYMBOL_CRC(dm_io, 0x2afdca70, "");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x9327505d, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x55564977, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xb683da8d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3863f9b9, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x5bd487ca, "set_disk_ro" },
	{ 0x92538ce2, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc84d89c7, "blk_integrity_register" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0xc0bfb9d4, "VMALLOC_END" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x974f3244, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xaebd1abb, "misc_deregister" },
	{ 0x29130c8d, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x89500720, "param_ops_uint" },
	{ 0xc5ea8fb, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xb53f532a, "bio_split_to_limits" },
	{ 0xf689cae6, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xa0153b4a, "disk_update_readahead" },
	{ 0xa7d050fe, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf501ba2f, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x9457632c, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4f44f799, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x801c2f49, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x27106911, "dm_kobject_release" },
	{ 0xd566933c, "up" },
	{ 0x7dec65ff, "mempool_init" },
	{ 0xb5ae930b, "blk_rq_prep_clone" },
	{ 0x73bd0eab, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x34337058, "blk_mq_quiesce_queue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7cb8fc1f, "__traceiter_block_bio_remap" },
	{ 0x6254c446, "blk_crypto_profile_init" },
	{ 0x104c4cc8, "freeze_bdev" },
	{ 0xc153f300, "blk_queue_write_cache" },
	{ 0xf034f970, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x6c026baf, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x19d0a50b, "kmem_cache_create" },
	{ 0x4fc19a3, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xa0945b03, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x24c55b6f, "blk_integrity_unregister" },
	{ 0x4e1e31a0, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xd832e38c, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x21f21ab9, "crypto_destroy_tfm" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x2be94cdd, "__traceiter_block_split" },
	{ 0xd19d9ce3, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xc9b6a2d9, "put_disk" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0x48548a62, "blk_crypto_register" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xdd8610c9, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf27e47de, "bdev_nr_zones" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x23f21d78, "blk_queue_flag_set" },
	{ 0x43eb8a97, "kmalloc_node_trace" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0xb46e6f4a, "blkdev_put" },
	{ 0x2f5c0ecb, "__free_pages" },
	{ 0x1767fdcb, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe6ed259, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x58eb0170, "submit_bio" },
	{ 0x6ea3b5e2, "blk_crypto_has_capabilities" },
	{ 0x8313b88, "dax_add_host" },
	{ 0xe1b7424d, "blk_queue_flag_clear" },
	{ 0xe80a5b05, "module_put" },
	{ 0x122e583e, "blk_mq_init_allocated_queue" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xb035d15f, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xc53cd7e4, "ima_measure_critical_data" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x411fa877, "kobject_uevent_env" },
	{ 0xab4724fd, "bio_put" },
	{ 0xd907daae, "blk_crypto_intersect_capabilities" },
	{ 0xe1272024, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xfd1c22bf, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x417d8076, "dax_zero_page_range" },
	{ 0x8fd08bc2, "blkdev_get_by_dev" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x867a3707, "thaw_bdev" },
	{ 0x3ac9a7e9, "set_capacity" },
	{ 0x986bbc3d, "submit_bio_noacct" },
	{ 0x73492855, "noop_llseek" },
	{ 0x49c67185, "blk_integrity_compare" },
	{ 0x81b433f2, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5d7dee6b, "strscpy_pad" },
	{ 0x29dae2, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x31f5e96b, "kmem_cache_free" },
	{ 0xf7224e73, "dax_remove_host" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9500e824, "bio_chain" },
	{ 0x75f6af1, "dax_recovery_write" },
	{ 0xf6c3e4aa, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x772af3c, "kobject_init_and_add" },
	{ 0x3216f5a9, "zero_fill_bio_iter" },
	{ 0x3e19df36, "bio_add_page" },
	{ 0x6d350a80, "crypto_shash_update" },
	{ 0x4f14275, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32ebbb39, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x4f4b14bc, "bd_unlink_disk_holder" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xc35a7b79, "bio_init" },
	{ 0x30dca241, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x502c2405, "misc_register" },
	{ 0x3ff63c83, "blk_crypto_evict_key" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1c55d8d0, "blk_insert_cloned_request" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x958d57e3, "audit_log_start" },
	{ 0x7cff8314, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xb56c0fda, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfd62e4c5, "bio_uninit" },
	{ 0x8113ec20, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfd22e100, "param_ops_bool" },
	{ 0xa0460cca, "bioset_init" },
	{ 0xe9f548a7, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x1a08d2ba, "VMALLOC_START" },
	{ 0x9e3319ba, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeee5cf14, "__traceiter_block_rq_remap" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xde5af394, "bd_link_disk_holder" },
	{ 0x4dd97be, "blk_mq_start_request" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf9364cc3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbcae1998, "blk_mark_disk_dead" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4fed210b, "param_ops_int" },
	{ 0x9c9e5c1c, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xfd35c5a1, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x4ff3a619, "bio_alloc_bioset" },
	{ 0x555ccb97, "up_read" },
	{ 0xb95ffb7e, "blk_mq_requeue_request" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf9a482f9, "msleep" },
	{ 0x64e26772, "blkdev_report_zones" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9964b92a, "bdev_end_io_acct" },
	{ 0x34297979, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ba282de, "kmem_cache_destroy" },
	{ 0x8259b6cf, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xee403a08, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1D69CA720307ED98DF5B934");

MODULE_INFO(suserelease, "ALP-0.1");
