#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_attach_transport, 0xfe405157, "");
SYMBOL_CRC(sas_end_device_alloc, 0x8454bda3, "");
SYMBOL_CRC(sas_expander_alloc, 0xc1ed3603, "");
SYMBOL_CRC(sas_get_address, 0xf3596445, "");
SYMBOL_CRC(sas_phy_add, 0xb66f5b5c, "");
SYMBOL_CRC(sas_phy_alloc, 0xdbeab719, "");
SYMBOL_CRC(sas_phy_delete, 0xe2af88b6, "");
SYMBOL_CRC(sas_phy_free, 0x70863df2, "");
SYMBOL_CRC(sas_port_add, 0x89f568bc, "");
SYMBOL_CRC(sas_port_add_phy, 0xc34f5706, "");
SYMBOL_CRC(sas_port_alloc, 0x092e6751, "");
SYMBOL_CRC(sas_port_alloc_num, 0x8e20a169, "");
SYMBOL_CRC(sas_port_delete, 0x55481bc5, "");
SYMBOL_CRC(sas_port_delete_phy, 0x723cba49, "");
SYMBOL_CRC(sas_port_free, 0x8c23fd1e, "");
SYMBOL_CRC(sas_port_get_phy, 0xe46ab64f, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xfea740c4, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xfed4e750, "");
SYMBOL_CRC(sas_release_transport, 0x2f767351, "");
SYMBOL_CRC(sas_remove_children, 0x58f0e8e1, "");
SYMBOL_CRC(sas_remove_host, 0xb96cb3dc, "");
SYMBOL_CRC(sas_rphy_add, 0xcc7255b3, "");
SYMBOL_CRC(sas_rphy_delete, 0x5b531704, "");
SYMBOL_CRC(sas_rphy_free, 0x0c3d429c, "");
SYMBOL_CRC(sas_rphy_remove, 0x5e50772f, "");
SYMBOL_CRC(sas_rphy_unlink, 0x5ead1281, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf1e49b47, "");
SYMBOL_CRC(scsi_is_sas_port, 0x59f43042, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x2de9a3f7, "");
SYMBOL_CRC(sas_disable_tlr, 0xf89fc4d3, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x420400b6, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3d0bef71, "_gpl");
SYMBOL_CRC(sas_tlr_supported, 0x089c4171, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6feb7b83, "device_for_each_child" },
	{ 0x13261f2f, "scsi_remove_host" },
	{ 0xf9922933, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x257757d4, "device_add" },
	{ 0x806d4421, "transport_add_device" },
	{ 0xc5ca92d9, "transport_configure_device" },
	{ 0x2aebdada, "device_del" },
	{ 0x4809ae1a, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x540ff3f6, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe4d62e6b, "sysfs_remove_link" },
	{ 0x166d7c7b, "sysfs_create_link" },
	{ 0x59260d7a, "_dev_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x253a4d17, "scsi_scan_target" },
	{ 0xee5d676f, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xec8eedae, "bsg_remove_queue" },
	{ 0xfc035eb1, "transport_remove_device" },
	{ 0xac547c0b, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0xdbf93897, "transport_class_register" },
	{ 0xb2524c03, "transport_class_unregister" },
	{ 0x34297979, "kmalloc_caches" },
	{ 0xf9364cc3, "kmalloc_trace" },
	{ 0x7e313df9, "attribute_container_register" },
	{ 0xb55e1c7b, "scsi_get_vpd_page" },
	{ 0x4e3f6493, "scsi_mode_sense" },
	{ 0x92fef9b, "attribute_container_unregister" },
	{ 0x5492dc2, "scsi_is_host_device" },
	{ 0xc9511e26, "_dev_warn" },
	{ 0x710a9641, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc65075b, "dma_opt_mapping_size" },
	{ 0x4db46fb4, "device_initialize" },
	{ 0xb7d0de7a, "dev_set_name" },
	{ 0x313bdcbd, "transport_setup_device" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "71293C224D8D7F94F4D894D");

MODULE_INFO(suserelease, "ALP-0.1");
