#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dasd_add_request_head, 0x1e4fff22, "");
SYMBOL_CRC(dasd_add_request_tail, 0xfabdc4b3, "");
SYMBOL_CRC(dasd_block_clear_timer, 0xb7e01126, "");
SYMBOL_CRC(dasd_block_set_timer, 0x6c8e0ce8, "");
SYMBOL_CRC(dasd_debug_area, 0xf42c01f5, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x6f147020, "");
SYMBOL_CRC(dasd_device_set_timer, 0x90286d00, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0xdec59112, "");
SYMBOL_CRC(dasd_enable_device, 0x4c696996, "");
SYMBOL_CRC(dasd_ffree_request, 0x50644a2d, "");
SYMBOL_CRC(dasd_fmalloc_request, 0x7f1a74e3, "");
SYMBOL_CRC(dasd_int_handler, 0xefc32b25, "");
SYMBOL_CRC(dasd_kick_device, 0x8fc6e9ca, "");
SYMBOL_CRC(dasd_reload_device, 0x6a4e1719, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0xae7bf04d, "");
SYMBOL_CRC(dasd_schedule_device_bh, 0x59f20dc4, "");
SYMBOL_CRC(dasd_schedule_requeue, 0xa161479f, "");
SYMBOL_CRC(dasd_sfree_request, 0x09cf4b4f, "");
SYMBOL_CRC(dasd_sleep_on, 0x182f3191, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x02ad8cc2, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x7fb9ee42, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_smalloc_request, 0xf84a5c41, "");
SYMBOL_CRC(dasd_start_IO, 0x70a4e176, "");
SYMBOL_CRC(dasd_term_IO, 0x7c5d7f08, "");
SYMBOL_CRC(dasd_alloc_block, 0x34b43442, "_gpl");
SYMBOL_CRC(dasd_device_is_ro, 0x3f2e0770, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x8c2b91b5, "_gpl");
SYMBOL_CRC(dasd_device_set_stop_bits, 0x93f13021, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xd3531258, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x1736f660, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x1cb35d1e, "_gpl");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x0a9399f9, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0x519a9010, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0x0ff278bd, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x7fe95c90, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0xb7100b5a, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0x019935f9, "_gpl");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x86b3fde2, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0x6ab09b1f, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0x345599af, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xa0b1bfca, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x96902c7b, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0x32a535aa, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x3d0b6c61, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x1c524c0e, "_gpl");
SYMBOL_CRC(dasd_generic_uc_handler, 0x19932cb5, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xc153c44f, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x5a95fab2, "_gpl");
SYMBOL_CRC(dasd_wakeup_cb, 0xeabe891c, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x86cd6e6e, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x09ed2c47, "");
SYMBOL_CRC(dasd_path_create_kobj, 0xc09ba6bd, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x3c652f9c, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0xe03ac753, "");
SYMBOL_CRC(dasd_set_feature, 0xec1d8efc, "");
SYMBOL_CRC(dasd_dev_groups, 0xdc5002fb, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0xbff5450f, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0x07b551cb, "_gpl");
SYMBOL_CRC(dasd_alloc_erp_request, 0x1b0f7f86, "");
SYMBOL_CRC(dasd_default_erp_action, 0xa5c9e77c, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x805abe34, "");
SYMBOL_CRC(dasd_free_erp_request, 0x546d57e0, "");
SYMBOL_CRC(dasd_log_sense, 0x8c9af0eb, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x6a678afb, "");
SYMBOL_CRC(dasd_eer_write, 0x8e76589c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bd487ca, "set_disk_ro" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaebd1abb, "misc_deregister" },
	{ 0x89500720, "param_ops_uint" },
	{ 0xa07c74ab, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xa7d050fe, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0x252336ef, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2b276420, "debug_set_level" },
	{ 0xa1c2355d, "param_array_ops" },
	{ 0x260261da, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf2fec2cd, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x986effee, "kset_unregister" },
	{ 0xec3caa44, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc530dce1, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x19d0a50b, "kmem_cache_create" },
	{ 0x540ff3f6, "get_device" },
	{ 0x4fc19a3, "blk_mq_end_request" },
	{ 0xb052e372, "__blk_mq_alloc_disk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd832e38c, "blk_mq_alloc_tag_set" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xc9b6a2d9, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf9922933, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x55b079c3, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf2c663f2, "ccw_device_get_schid" },
	{ 0xb46e6f4a, "blkdev_put" },
	{ 0x362134ef, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe80a5b05, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x993e2902, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e6ebf48, "_dev_err" },
	{ 0xb4c2da4b, "kobject_add" },
	{ 0xfd1c22bf, "blk_update_request" },
	{ 0x362747cd, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8fd08bc2, "blkdev_get_by_dev" },
	{ 0x8c4adb0b, "kobj_sysfs_ops" },
	{ 0x3ac9a7e9, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x73492855, "noop_llseek" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x20561e5f, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x72e8852f, "cmf_readall" },
	{ 0x3a313e4e, "seq_putc" },
	{ 0x4f14275, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x32ebbb39, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd10f324, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x924d1d26, "proc_mkdir" },
	{ 0xf3841886, "ccw_device_set_offline" },
	{ 0xc9511e26, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x502c2405, "misc_register" },
	{ 0x568bedbc, "ccw_device_clear" },
	{ 0xdc31460c, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x89909570, "fsync_bdev" },
	{ 0x2bb9aa42, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0x7cff8314, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc1da8ccf, "debug_unregister" },
	{ 0x62ba6b92, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xb56c0fda, "blk_mq_complete_request" },
	{ 0x537f673d, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbffeae07, "remove_proc_entry" },
	{ 0x3263aecd, "seq_printf" },
	{ 0x39ba794c, "ccw_device_set_online" },
	{ 0x22c5ec15, "enable_cmf" },
	{ 0xf48f1a67, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x4dd97be, "blk_mq_start_request" },
	{ 0x3ff5b215, "ccw_device_get_path_mask" },
	{ 0xb894711c, "seq_puts" },
	{ 0x8caaec56, "single_release" },
	{ 0xd48f69c8, "tcw_get_tsb" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0xf9364cc3, "kmalloc_trace" },
	{ 0x38e6ef8d, "blk_abort_request" },
	{ 0x349219c9, "debug_sprintf_view" },
	{ 0x4fed210b, "param_ops_int" },
	{ 0x9c9e5c1c, "blk_mq_run_hw_queues" },
	{ 0x7802d1c, "proc_create_seq_private" },
	{ 0xc47c4c3d, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1a6b9c73, "debugfs_create_dir" },
	{ 0xd8a13414, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb95ffb7e, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd50c5c92, "blk_queue_rq_timeout" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x34297979, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ba282de, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83838245, "kset_create_and_add" },
	{ 0xee403a08, "kobject_put" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DEA54E8C4050A64239A7EB2");

MODULE_INFO(suserelease, "ALP-0.1");
