#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fc_attach_transport, 0x74a9229b, "");
SYMBOL_CRC(fc_block_rport, 0x6bf28df3, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xdcaa869e, "");
SYMBOL_CRC(fc_eh_timed_out, 0xdf51e5ea, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x3c8ac043, "");
SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x11f7e573, "");
SYMBOL_CRC(fc_host_post_event, 0x4332480f, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x4a3c8297, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xd66ba7cb, "");
SYMBOL_CRC(fc_release_transport, 0x3501b0b5, "");
SYMBOL_CRC(fc_remote_port_add, 0x88148801, "");
SYMBOL_CRC(fc_remote_port_delete, 0xe3e2624b, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x913b7ec9, "");
SYMBOL_CRC(fc_remove_host, 0xc888e85c, "");
SYMBOL_CRC(fc_vport_create, 0x0081a80f, "");
SYMBOL_CRC(fc_vport_terminate, 0x103e3f06, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xaf835e1f, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x1ab8f64c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf9922933, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xdbf93897, "transport_class_register" },
	{ 0xb2524c03, "transport_class_unregister" },
	{ 0xb2089518, "scsi_nl_sock" },
	{ 0x3cfb1efe, "__alloc_skb" },
	{ 0x73140f13, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x41a362f8, "netlink_broadcast_filtered" },
	{ 0xb0f66f6d, "kfree_skb_reason" },
	{ 0x5492dc2, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xee5d676f, "bsg_setup_queue" },
	{ 0x499fcf2b, "__scsi_init_queue" },
	{ 0xd50c5c92, "blk_queue_rq_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8e6ebf48, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92fef9b, "attribute_container_unregister" },
	{ 0x253a4d17, "scsi_scan_target" },
	{ 0x34297979, "kmalloc_caches" },
	{ 0xf9364cc3, "kmalloc_trace" },
	{ 0x7e313df9, "attribute_container_register" },
	{ 0xec8eedae, "bsg_remove_queue" },
	{ 0x83bd1c2a, "scsi_host_put" },
	{ 0xe4d62e6b, "sysfs_remove_link" },
	{ 0xfc035eb1, "transport_remove_device" },
	{ 0x2aebdada, "device_del" },
	{ 0x4809ae1a, "transport_destroy_device" },
	{ 0x59260d7a, "_dev_printk" },
	{ 0x23ef3c47, "scsi_target_unblock" },
	{ 0x5bad5af4, "scsi_flush_work" },
	{ 0xac547c0b, "scsi_remove_target" },
	{ 0xd165a491, "scsi_is_target_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x76ce7565, "scsi_host_get" },
	{ 0x4db46fb4, "device_initialize" },
	{ 0x540ff3f6, "get_device" },
	{ 0xb7d0de7a, "dev_set_name" },
	{ 0x313bdcbd, "transport_setup_device" },
	{ 0x257757d4, "device_add" },
	{ 0x806d4421, "transport_add_device" },
	{ 0xc5ca92d9, "transport_configure_device" },
	{ 0x166d7c7b, "sysfs_create_link" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfdb5107f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8db401e3, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x90aebca6, "bsg_job_get" },
	{ 0x4fc19a3, "blk_mq_end_request" },
	{ 0x1061f0a7, "bsg_job_put" },
	{ 0x710a9641, "bsg_job_done" },
	{ 0x9c9e5c1c, "blk_mq_run_hw_queues" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89500720, "param_ops_uint" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "F61D4B1E5632E13462BE700");

MODULE_INFO(suserelease, "ALP-0.1");
