#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x56a5b7e4, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x0a02524b, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x3c270097, "");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x00900757, "");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x67412ed3, "");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x53fdba11, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x7eea3c2d, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x858b5b38, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x42186c68, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xdfadb07a, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x59437d31, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x66e5b93e, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x77a13afb, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xa8210c2e, "_gpl");
SYMBOL_CRC(ip_tunnel_init_net, 0xb8a532ab, "_gpl");
SYMBOL_CRC(ip_tunnel_lookup, 0x71b57fe3, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x3f8a6c28, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x7e70dd3f, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x855d655b, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x8144c613, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xcac861aa, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x3a153438, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0c6f6c5, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf34eefff, "icmpv6_ndo_send" },
	{ 0xa6a14673, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf5231dc0, "alloc_netdev_mqs" },
	{ 0xaf21badb, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb455112, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xff908255, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xeb2813e, "gro_cells_init" },
	{ 0xe798236d, "jiffies" },
	{ 0x2cbc66db, "skb_scrub_packet" },
	{ 0x47fb791a, "gro_cells_receive" },
	{ 0xeab96eca, "dst_release" },
	{ 0xb0f66f6d, "kfree_skb_reason" },
	{ 0xdb69f760, "__pskb_pull_tail" },
	{ 0x31e3c0f2, "skb_copy_bits" },
	{ 0x7193a1dc, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x26a36cb1, "ip_route_output_flow" },
	{ 0x8629380d, "__dev_get_by_index" },
	{ 0x5351da4b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x91b4ea5a, "dev_addr_mod" },
	{ 0x1cc5ae27, "netdev_state_change" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x122f4d5f, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc0c98d73, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfc280a3d, "dst_cache_get_ip4" },
	{ 0x575063f8, "pskb_expand_head" },
	{ 0x64345a3, "__skb_get_hash" },
	{ 0x547673d2, "dst_cache_set_ip4" },
	{ 0x49442499, "iptunnel_xmit" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa87e6828, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BDECBABDC17B650A5A1D692");

MODULE_INFO(suserelease, "ALP-0.1");
