#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x2365903d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x3a0d5f95, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x405a9e5c, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x6e7850ca, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x5da40900, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x27673866, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29481784, "nf_ct_ext_add" },
	{ 0xffa25b90, "nsh_pop" },
	{ 0x983a26e8, "nf_conntrack_find_get" },
	{ 0x2d1f2543, "nf_ct_set_timeout" },
	{ 0x94f29c31, "dev_get_stats" },
	{ 0x2b96ad05, "__nla_put" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xec31fa7b, "dev_fill_metadata_dst" },
	{ 0xf0d7ec2b, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x31e3c0f2, "skb_copy_bits" },
	{ 0x48dfa0f7, "nf_ct_handle_fragments" },
	{ 0xf91e58e7, "eth_mac_addr" },
	{ 0x1408eade, "skb_put" },
	{ 0xa9bdcf11, "genl_notify" },
	{ 0x55729910, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x916b99d9, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x551fffd7, "nf_ct_nat" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4add3e4d, "skb_eth_pop" },
	{ 0x7f867dce, "trace_raw_output_prep" },
	{ 0x6e657d4a, "skb_gso_validate_mac_len" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x1caaea39, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc4f93603, "nf_ct_helper" },
	{ 0xaedab433, "__trace_trigger_soft_disabled" },
	{ 0xaa951404, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2d95f267, "trace_event_printf" },
	{ 0x89735c1a, "rtnl_delete_link" },
	{ 0xccb17333, "rtnl_link_register" },
	{ 0xfa3cb070, "nf_connlabels_put" },
	{ 0x47555e03, "genlmsg_put" },
	{ 0x538aaf1e, "___pskb_trim" },
	{ 0x6f200870, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a22c88d, "dev_set_promiscuity" },
	{ 0xe620736a, "nf_ct_destroy_timeout" },
	{ 0x45ddeb6, "nf_ct_add_helper" },
	{ 0x9b4710a6, "nf_conntrack_helper_put" },
	{ 0x22487c90, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8109a5ab, "nf_ct_skb_network_trim" },
	{ 0xff908255, "unregister_netdevice_queue" },
	{ 0x19d0a50b, "kmem_cache_create" },
	{ 0x672f9864, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x8bf6dbaf, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41a362f8, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x575063f8, "pskb_expand_head" },
	{ 0xfdd3394f, "skb_csum_hwoffload_help" },
	{ 0x33fb5813, "trace_event_buffer_commit" },
	{ 0x91b4ea5a, "dev_addr_mod" },
	{ 0x4b793fe6, "nf_connlabels_replace" },
	{ 0x7193a1dc, "eth_type_trans" },
	{ 0xf5231dc0, "alloc_netdev_mqs" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xd3257c1b, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xe83dacd4, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8bac95db, "skb_eth_push" },
	{ 0x9761841e, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3cfb1efe, "__alloc_skb" },
	{ 0xb2fb3b4, "__nf_ct_expect_find" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1767fdcb, "kmem_cache_alloc" },
	{ 0xa1ece0c9, "skb_mpls_pop" },
	{ 0x5d8be65c, "skb_vlan_pop" },
	{ 0x9557e88c, "dst_init" },
	{ 0xe80a5b05, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd7446774, "rtnl_link_unregister" },
	{ 0x5e06656d, "perf_trace_run_bpf_submit" },
	{ 0x64345a3, "__skb_get_hash" },
	{ 0xc0c98d73, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x13ac5c96, "ipv6_stub" },
	{ 0x4f85e8f1, "skb_mpls_update_lse" },
	{ 0x73e2a0e1, "skb_pull" },
	{ 0x4dea1053, "memchr" },
	{ 0x90210ee0, "netlink_unicast" },
	{ 0xca01ee81, "bpf_trace_run5" },
	{ 0x9b588650, "dev_get_by_index_rcu" },
	{ 0xb0f66f6d, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x124c7ac0, "skb_push" },
	{ 0x31f5e96b, "kmem_cache_free" },
	{ 0x671d68a7, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0x5c9263ce, "trace_event_reg" },
	{ 0x1f6cb011, "skb_ensure_writable" },
	{ 0xb455112, "free_netdev" },
	{ 0x4fa77e6d, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x4cc9588e, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc64fd49c, "ethtool_op_get_link" },
	{ 0x6b76b0a2, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x3b69f2dd, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdb69f760, "__pskb_pull_tail" },
	{ 0xe42a33d1, "nf_ct_delete" },
	{ 0xcd04e6e4, "nf_conncount_init" },
	{ 0x9071236f, "skb_vlan_push" },
	{ 0x4973fe69, "dev_get_tstats64" },
	{ 0xda5f9dc7, "netif_rx" },
	{ 0x9bf0c3a9, "__netdev_alloc_skb" },
	{ 0xc38c597e, "netdev_master_upper_dev_link" },
	{ 0x2076f91c, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x42206c16, "inet_proto_csum_replace16" },
	{ 0x9ed86c41, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x2cbc66db, "skb_scrub_packet" },
	{ 0x540bd4fa, "nf_ct_deliver_cached_events" },
	{ 0x8e2bb10f, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcd7d94cb, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x70a559d5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8913435f, "trace_event_buffer_reserve" },
	{ 0x67431b0, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x11a3298c, "inet_proto_csum_replace4" },
	{ 0xe019bef1, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xa52ecb9c, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x881e4740, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e783ca4, "dev_get_by_name" },
	{ 0x30e238e1, "skb_clone" },
	{ 0x5f015ecb, "metadata_dst_alloc" },
	{ 0xeab96eca, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x671f5b22, "peernet2id_alloc" },
	{ 0x819cc05f, "nf_ct_get_tuplepr" },
	{ 0x385de3d8, "netdev_rx_handler_register" },
	{ 0x89c391af, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xc5c2d67e, "genl_unregister_family" },
	{ 0x567d3772, "dev_disable_lro" },
	{ 0xf9364cc3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa9142220, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7c4f377, "genl_register_family" },
	{ 0x8935bd29, "nf_ct_tmpl_free" },
	{ 0x62981fb4, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x2290ef20, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xfb12b5bd, "skb_mpls_push" },
	{ 0xb3fab326, "register_pernet_device" },
	{ 0xd415124e, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x34297979, "kmalloc_caches" },
	{ 0xde79c150, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ba282de, "kmem_cache_destroy" },
	{ 0x3fed5308, "__skb_vlan_pop" },
	{ 0xa682c46b, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf21badb, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "552AE676CD80B3D9B5D4DD8");

MODULE_INFO(suserelease, "ALP-0.1");
